I am trying to use the ACF2 panel for EARL reports but i get error: ERROR CALLING CA-EARL

Document ID : KB000025844
Last Modified Date : 14/02/2018
Show Technical Document Details

Question:

I am trying to run the EARL reports using the panels supplied with CA ACF2. All the fields are updated with the report I want to run, and then I get error: ERROR CALLING CA-EARL

When I press PF1 for HELP, I get the following: ENSURE CLIST ACFFLT# HAS CORRECT DEFAULTS

What do I need to do?

Answer:

The CLIST library supplied with CA ACF2 (library ACF2.CAX1CLS0 in r15 and r16) contains member ACFFLT#. Early in the CLIST is a line with:

PGMLIB(CAI.EARL.CXO60LLD).

This (PGMLIB) library name needs to be modified to reflect the library that contain the EARL program installed with CA Common Services. The default library for CA Common Services is CAI.CCCSLOAD. Verify that the program EARL exists in this library. If it is not there, then you will need to check with your system programmer that installed CA Common Services to see if and where EARL was installed. The CA EARL FMID is CXE6100. This CA Common Services component must be installed before you can run any of the EARL reports for CA-ACF2.